Subject: AD review: draft-ietf-netconf-soap-05

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 1 Sep 2005 21:32:27 +0200

Hre is my AD review. Sorry that this one slipped through
the cracks and took a bit longer. I have also seen
the suggested changes (as per below email from Ted) and
will assume such changes will be made.

A lot of the SOAP/WSDL stuff is completely new for me,
so pls bear with me if I ask newbee questions.
But I think we should assume that others who read the
documents may also be newbees, and so maybe we should at
least make it all clear in the document.

- I do not see in the document how a session-id gets
  passed from setting up a BEEP or HTTP conenction 
  to the NetConf protocol level so that NetConf can use
  the session-id. Maybe it is there, but I do not see it.
  Pls explain and clarify in the text.

- sect 3.7
  - Is it OK to assume a "hypothetical location", or should we 
    decide and/or request IANA or xmlsoap.org to define a
    real and approved location?
  - Have you (has anyone) done a SYNTAX check on the WSDL 
    document, and if so, which tool was used?
  - In the WSDL document, there are www.iana.org items.
    for example I see:
     <import namespace="urn:ietf:params:xml:ns:netconf:base:1.0"
            location="http://www.iana.org/assignments/xml-registry/
                      schema/netconf-base_1.0.xsd"/>
    WHere is that coming from.
    Maybe that is to be found in the missing (i.e. TBD) text from
    the netconf-protocol document?
    Another example   
       xmlns:SOAP="http://schemas.xmlsoap.org/wsdl/soap/"
    Does that need a citation/reference?
       xmlns:tns="urn:ietf:params:xml:ns:netconf:soap:1.0"
    Does IANA now how to create that? Or is there no IANA
    action needed for that?
    There may be other stuff. Once I understand the above I can
    check further and see if I have more questions.

- IANA considerations Section
  - says "IANA will". Maybe better: "IANA is requested to"
  - Is the port for BEEP not already requested via the
    netconf-over-beep document? 
  - Where is IANA supposed to put the WSDL definition?
    you say in the XML registry. WHich is the document that
    explains how to do that? Where is the ptr to the iana
    we page that contains these sort of documents?

CItation/Reference issues:

!! Missing citation for Normative reference:
  P018 L030:    [5]   Freed, N. and N. Borenstein, "Multipurpose Internet Mail

!! Missing citation for Normative reference:
  P018 L034:    [6]   Freed, N. and N. Borenstein, "Multipurpose Internet Mail

!! Missing citation for Normative reference:
  P019 L014:    [13]  Rose, M. and D. New, "Reliable Delivery for syslog", RFC 3195,

!! Missing citation for Informative reference:
  P019 L035:    [18]  Barton, J., Nielsen, H. and S. Thatte, "SOAP Messages with

!! Missing citation for Informative reference:
  P019 L045:    [20]  Nadalin, A., Kaler, C., Hallam-Baker, P. and R. Monzillo, "Web

NITS:

- Pls expand Acrionyms first time they are used.
  For example BEEP in the abstract.
  WSDL in 3rd para section 1.
- Sect 2.5, last sentence.
  you may want to add a citation (and reference) to the RFC(s)
  that describes "chunking and persistent connections".  
- I see sometimes "Reciever" and other times "Receiver".
  I think it should be consistent: "Receiver"
- Security COnsiderations section:  s/IPSec/IPsec/

Bert

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Ted Goddard
> Sent: Tuesday, August 30, 2005 19:46
> To: netconf
> Subject: proposed changes for draft-ietf-netconf-soap-06
> 
> 
> 
> Hi All,
> 
> I would like to propose the following changes for the NETCONF SOAP
> draft in the indicated sections:
> 
> 
> Section 0
> 
>       RFC 3978 boilerplate
> 
> Section 2.4  BCP56: On the Use of HTTP as a Substrate
> 
>       It is also possible to respond to the concern on the re-use of
>       port 80.  A NETCONF SOAP service SHOULD be offered over a new
>       standard port for NETCONF over SOAP (over HTTP) to
>       be defined as requested in the IANA considerations of this
>       document.
> 
> Section 4  Security Considerations
> 
>       The IANA requested port SHOULD be used, as this provides a means
>       for efficient firewall filtering during possible 
> denial-of-service
>       attacks.
> 
> Section 5  IANA Considerations
> 
>       The IANA is requested to assign TCP ports for NETCONF for SOAP
>       over HTTP and SOAP over BEEP.
> 
>       The IANA is requested to place netconf-soap_1.0.wsdl in the
>       IANA XML registry.
> 
> The following indicated ID-nits appear to be in error (xml2rfc
> output checked with "od -c"):
> 
> tmp/draft-ietf-netconf-soap-05.txt(452):
>    Line is too long: the offending characters are 'elope"'
> tmp/draft-ietf-netconf-soap-05.txt(464):
>    Line is too long: the offending characters are 
> 's:netconf:base:1.0">'
> 
> 
> Thanks,
> Ted.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: Ted Goddard <[email-masked]>
Date: Thu, 1 Sep 2005 13:50:33 -0600

Hi Bert,

Thanks for reviewing the SOAP draft.

RFC 3688 describes the IANA XML Registry (I will add  a reference
to the SOAP draft for this) covering namespace and schema
registration.  Unfortunately it does not mention WSDL registration.
Is it still appropriate to request that IANA host the NETCONF WSDL
or would RFC 3688 have to be revised first?

Thanks,
Ted.

---

From: Ted Goddard <[email-masked]>
Date: Fri, 2 Sep 2005 14:57:08 -0600

Comments are inline:
(Bert, thanks for the review and the XML Registry clarification;
I've incorporated those suggestions below as well.)

>   Pls explain and clarify in the text.

This is exchanged through <hello> messages.  The opening sentence
in 3.3 will be revised as follows:

    Capabilities exchange and session ID establishment are performed
    through the exchange of <hello> messages.

>     real and approved location?

IANA should be requested to provide a location for the NETCONF
schema (in netconf-prot, I believe).  How should netconf-soap
be revised to accommodate an IANA request in netconf-prot?

>     document, and if so, which tool was used?

The WSDL has been checked with xmllint against the xmlsoap.org
schemas.

>     the netconf-protocol document?

Both the namespace and the netconf schema location should be
requested from IANA in the netconf-protocol document.  The
netconf-soap draft will be revised to request a netconf-soap
namespace.

    The IANA is requested to assign an XML namespace for the NETCONF
    over SOAP WSDL definitions.

>     Does that need a citation/reference?

This is the standard SOAP namespace as defined in the WSDL reference.

>     Does IANA now how to create that? Or is there no IANA

IANA action is needed (request described above).

>     netconf-over-beep document?

This is a different usage of BEEP.  netconf-beep does not use
the SOAP BEEP mapping (rfc3288bis) but rather uses BEEP directly.

>     we page that contains these sort of documents?

This IANA request will be removed.

>   P019 L045:    [20]  Nadalin, A., Kaler, C., Hallam-Baker, P. and  

Extraneous references removed.

>   WSDL in 3rd para section 1.

Expanded.

>   that describes "chunking and persistent connections".

Citation added (HTTP 1.1).

> - Security COnsiderations section:  s/IPSec/IPsec/

Fixed.

Thanks,
Ted.